IFAPI_Data_EncryptDecrypt Struct Reference

`#include <fapi_int.h>`

## Data Fields

char const * | keyPath
uint8_t const * | in_data
size_t | in_dataSize
IFAPI_OBJECT * | key_object
ESYS_TR | key_handle
size_t | numBytes
size_t | decrypt
UINT16 | bytesRequested
TPMT_RSA_DECRYPT | rsa_scheme
ESYS_TR | object_handle
char * | policy_path
ESYS_TR | auth_session
const IFAPI_PROFILE * | profile
uint8_t * | plainText
size_t | plainTextSize
uint8_t * | cipherText
size_t | cipherTextSize

## Detailed Description

The data structure holding internal state of Fapi_EncryptDecrypt.

## Field Documentation

## bytesRequested

UINT16 bytesRequested

Bytes currently requested from TPM

## decrypt

size_t decrypt

Switch whether to encrypt or decrypt

## key_handle

ESYS_TR key_handle

The ESYS handle of the encryption key

## key_object

IFAPI_OBJECT* key_object

The IPAPI object for the encryption key

## keyPath

char const* keyPath

The implicit key path

## numBytes

size_t numBytes

The number of bytes of a ESYS request

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h